/* 
colors:
font default: #343a40
primary: #868e96
accent: #f03e3e
*/

/* GENERAL */

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-size: 18px;
  font-family: "Inter", sans-serif;
  color: #343a40;
}

.grid {
  display: grid;
  grid-template-columns: 1fr 4fr;
}

/* HEADER */

.header {
  height: 80px;
  padding: 18px;
  background-color: #868e96;
  color: #fff;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.actions {
  display: flex;
  align-items: flex-end;
  gap: 32px;
}

.btn-msg {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  background-color: transparent;
  border: none;

  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-msg:hover,
.btn-msg:active {
  background-color: rgba(0, 0, 0, 0.1);
}

.icon-msg {
  height: 24px;
  width: 24px;
  color: #fff;
}

.btn-msg::after {
  display: inline-block;
  content: "";
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: #f03e3e00;

  position: absolute;
  top: 10%;
  right: 20%;

  transition: all 0.4s;
}

.btn-msg.new-msg::after {
  background-color: #f03e3e;
}

.msg-dropdown {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  position: relative;
}

.msg-dropdown-content {
  display: none;
  background-color: #fff;
  color: #343a40;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  min-width: 200px;
  position: absolute;
  top: 100%;
  right: 0;
  z-index: 1;
}

.msg-dropdown:hover .msg-dropdown-content {
  display: block;
}

.msg {
  font-size: 12px;
  padding: 12px 16px;

  display: flex;
  align-items: center;
  gap: 18px;
}

.msg-sender {
  display: flex;
  flex-direction: column;
  gap: 6px;
  align-items: center;
}

.msg-sender-img {
  height: 32px;
  width: 32px;
  border-radius: 50%;
}

.user {
  display: flex;
  align-items: center;
  gap: 18px;
}

.profile-dropdown {
  height: 36px;
  width: 36px;
  border-radius: 50%;
  position: relative;
}

.profile-dropdown-content {
  display: none;
  background-color: #fff;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  min-width: 160px;
  position: absolute;
  top: 100%;
  right: 0;
  z-index: 1;
}

.profile-dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.profile-dropdown:hover .profile-dropdown-content {
  display: block;
}

.btn-profile {
  height: 36px;
  width: 36px;
  background-color: transparent;
  border: none;
  border-radius: 50%;
  overflow: hidden;
}

.btn-profile:hover,
.btn-profile:active {
  box-shadow: 0 0 0 4px rgba(0, 0, 0, 0.1);
}

.img-user {
  height: 100%;
}

/* MAIN */

.main {
  padding: 24px;
  grid-column: 2;
  grid-row: 1;

  display: flex;
  flex-direction: column;
  align-items: start;
}

.main-heading {
  margin-bottom: 32px;
}

.btn--add-student {
  width: 36px;
  height: 36px;
  font-size: 18px;
  margin-bottom: 18px;
  background-color: transparent;
  border-color: #343a40;

  align-self: flex-end;
}

.btn--add-student:hover,
.btn--add-student:active {
  background-color: rgba(0, 0, 0, 0.1);
}

/* STUDENT-WINDOW */

.student-window {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.4s;
}

.student-window.opened {
  visibility: visible;
  opacity: 1;
}

.student-window-content {
  border-radius: 4px;
  position: relative;
  width: 500px;
  max-width: 90%;
  background-color: #fff;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  padding: 32px 24px;
}

.student-window-header {
  margin-bottom: 32px;

  display: flex;
  justify-content: space-between;
}

.btn--close-student-window {
  width: 24px;
  height: 24px;
  font-size: 12px;
  background-color: transparent;
  border-color: #343a40;
}

.btn--close-student-window:hover,
.btn--close-student-window:active {
  background-color: rgba(0, 0, 0, 0.1);
}

.student-form {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.student-input-container {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.student-input {
  font-size: 16px;
  padding: 12px 16px;
}

.form-buttons {
  display: flex;
  justify-content: center;
  gap: 18px;
}

.btn--form {
  background-color: transparent;
  border: 2px solid #343a40;
  font-size: 16px;
  padding: 8px 16px;
}

.btn--form:hover,
.btn--form:active {
  background-color: rgba(0, 0, 0, 0.1);
}

/* DELETE STUDENT WINDOW */

.delete-student-window {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.4s;
}

.delete-student-window.opened {
  visibility: visible;
  opacity: 1;
}

.delete-student-window-content {
  border-radius: 4px;
  position: relative;
  width: 500px;
  max-width: 90%;
  background-color: #fff;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  padding: 32px 24px;
}

.delete-student-header {
  margin-bottom: 32px;

  display: flex;
  justify-content: space-between;
}

.delete-student-text {
  margin-bottom: 42px;
}

/* TABLE */

table,
th,
td {
  border: 2px solid #343a40;
  border-collapse: collapse;
}

table {
  width: 100%;
}

th,
td {
  height: 70px;
  padding: 12px;
}

.table-content td:first-child {
  text-align: center;
}

.option-buttons {
  display: flex;
  justify-content: center;
  gap: 12px;
}

.btn--edit,
.btn--delete {
  background-color: transparent;
  border: 2px solid #343a40;
  height: 32px;
  width: 32px;

  display: flex;
  align-items: center;
  justify-content: center;
}

.btn--edit:hover,
.btn--delete:hover,
.btn--edit:active,
.btn--delete:active {
  background-color: rgba(0, 0, 0, 0.1);
}

.option-icon {
  width: 24px;
  height: 24px;
}

.status-indicator {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  background-color: #868e96;
  margin: 0 auto;
}

.status-indicator.active {
  background-color: #37b24d;
}

/* PAGINATION */

.pagination {
  margin-top: 40px;
  align-self: center;

  display: flex;
  gap: 18px;
}

.page-link:link,
.page-link:visited {
  color: #343a40;
  background-color: transparent;
  border: 2px solid #343a40;
  width: 36px;
  height: 36px;
  text-decoration: none;

  display: flex;
  align-items: center;
  justify-content: center;
}

.page-link:hover,
.page-link:active {
  background-color: rgba(0, 0, 0, 0.1);
}

/* ASIDE */

.aside {
  padding: 24px;
  grid-column: 1;
  grid-row: 1;
}

.nav-panel {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.nav-link:link,
.nav-link:visited {
  display: block;
  color: #343a40;
  text-decoration: none;
}

.nav-link.current:link,
.nav-link.current:visited {
  font-weight: 600;
}
